package com.example.odpocitavanie;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {

	private static final int MILLIS_PER_SECOND = 1000;
	  
	  private TextView     countdownDisplay;
	  private CountDownTimer timer;
	  private int sekundyOdpocitavania;
	  
	  @Override
	  public void onCreate(Bundle savedInstanceState) {
	    super.onCreate(savedInstanceState);
	    setContentView(R.layout.activity_main);

	    countdownDisplay = (TextView) findViewById(R.id.time_display_box);
	    Button startButton = (Button) findViewById(R.id.startbutton);
	    startButton.setOnClickListener(new View.OnClickListener() {
	      public void onClick(View view) {
	        try {
	          showTimer(sekundyOdpocitavania * MILLIS_PER_SECOND);
	        } catch (NumberFormatException e) {
	          // metda ignoruje neplatn vstup a ak
	          // na nieo o me poui
	        }
	      }
	    });
	  }
	
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }
    
    public boolean onMenuItemSelected(int id, MenuItem item) {
    	  switch(item.getItemId()) {
    	    case R.id.nastavenie_casu:
    	     nastavCas();
    	      return true;
    	    default:
    	      // we don't have any other menu items
    	  }
    	  return super.onMenuItemSelected(id, item);
    	}
    private void nastavCas() {
    	  Intent i = new Intent(getBaseContext(), NastavenieOdpocitavania.class);
    	  startActivityForResult(i, 1);    
    	}
    
    private void showTimer(int countdownMillis) {
    	  if(timer != null) { timer.cancel(); }
    	  timer = new CountDownTimer(countdownMillis, MILLIS_PER_SECOND) {
    	  @Override
    	  public void onTick(long millisUntilFinished) {
    	    countdownDisplay.setText("odpotavam: " +
    	    millisUntilFinished / MILLIS_PER_SECOND);
    	    
    	  }
    	  @Override
    	    public void onFinish() {
    	      countdownDisplay.setText("KABOOM!");
    	    }
    	  }.start();
    	}
   
   
    protected void onActivityResult(int requestCode, int resultCode, Intent i) {
      super.onActivityResult(requestCode, resultCode, i);
      if (resultCode == RESULT_CANCELED) {
        return;
      }
      assert resultCode == RESULT_OK;
      switch(requestCode) {
        case 1: //musime dat 1 tak ako sme to urobili na zaciatku v startActivityForResult
          Bundle extras = i.getExtras();
          sekundyOdpocitavania = extras.getInt("sekundy");
          countdownDisplay.setText(Long.toString(sekundyOdpocitavania));
          break;
        default:
          // neurob nic, neocakavame ziadne ine vysledky
        }
      }
}
